classification
Title: struni: assertion in Windows debug build
Type: Stage:
Components: None Versions: Python 3.0
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: doerwalter, georg.brandl, gvanrossum, loewis, theller
Priority: normal Keywords:

Created on 2007-07-13 11:35 by theller, last changed 2008-01-06 22:29 by admin. This issue is now closed.

Files
File name Uploaded Description Edit
slots_id.diff georg.brandl, 2007-08-23 18:39
Messages (8)
msg32489 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2007-07-13 11:35
When running Lib/test/test_descr.py with a Windows debug build, I get an assertion in the MS runtime lib, in the isalpha(*p) call, file typeobject.c, line 1582.  The value of '*p' at the time of the call is 4660.

The assertion reported is:

File: istype.c
Line: 68
Expression; (unsigned)(c + 1) <= 256
msg32490 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-03 20:37
I wonder if the test "i > 255" wasn't meant to be "*p > 255"?  Please try that, and submit if it works.  Looks like Walter Doerwald introduced this bug in r55892.
msg32491 - (view) Author: Walter Dörwald (doerwalter) * (Python committer) Date: 2007-08-04 07:42
Right, this should have been *p > 255, even better would be *p > 127. Thomas, can you try that on Windows?
msg32492 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-08-04 16:44
I've committed the *p > 127 patch.

Committed revision 56737.

However, we'll need to change this again now that we accept Unicode identifiers.  Assigning to MvL.
msg32493 - (view) Author: Thomas Heller (theller) * (Python committer) Date: 2007-08-04 20:58
I confirm that the assertion in the windows debug build is gone now.
msg55177 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-23 18:39
Attaching a patch, should fix this.
msg55491 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-08-30 16:46
The patch looks fine to me, please apply.
msg55498 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2007-08-30 18:30
Martin v. Löwis schrieb:
> Martin v. Löwis added the comment:
> 
> The patch looks fine to me, please apply.

Done in rev. 57752.
History
Date User Action Args
2008-01-06 22:29:46adminsetkeywords: - py3k
versions: Python 3.0
2007-08-30 18:30:11georg.brandlsetstatus: open -> closed
messages: + msg55498
2007-08-30 16:46:25loewissetassignee: loewis -> georg.brandl
resolution: accepted
messages: + msg55491
2007-08-30 00:23:45gvanrossumsetversions: + Python 3.0
2007-08-23 18:39:03georg.brandlsetfiles: + slots_id.diff
nosy: + georg.brandl
messages: + msg55177
2007-07-13 11:35:02thellercreate